const globImporter = require('node-sass-glob-importer')
const MiniCssExtractPlugin = require('mini-css-extract-plugin');

module.exports = {
  webpack(config) {
    config.module.rules.push({
      test: /\.scss$/,
      use: [MiniCssExtractPlugin.loader, 'css-loader',
      {
        loader: 'sass-loader',
        options: {
          sassOptions: {
            importer: globImporter()
          }
        }
      }
      ]
    })
    config.plugins.push(new MiniCssExtractPlugin({
      filename: 'style.css'
    }))

    return config;
  }
}